CMSIS DSP Software Library: Matrix Transpose

Functions

# Matrix Transpose
[Matrix Functions]

## Functions
arm_status | arm_mat_trans_f32 (const arm_matrix_instance_f32 *pSrc, arm_matrix_instance_f32 *pDst)
arm_status | arm_mat_trans_q31 (const arm_matrix_instance_q31 *pSrc, arm_matrix_instance_q31 *pDst)
arm_status | arm_mat_trans_q15 (const arm_matrix_instance_q15 *pSrc, arm_matrix_instance_q15 *pDst)

## Detailed Description

Tranposes a matrix. Transposing an `M x N` matrix flips it around the center diagonal and results in an `N x M` matrix.

Transpose of a 3 x 3 matrix

## Function Documentation

arm_status arm_mat_trans_f32 | ( | const arm_matrix_instance_f32 * | pSrc,
|  | arm_matrix_instance_f32 * | pDst
| ) |  |

Floating-point matrix transpose.

Parameters:

  [in] | *pSrc | points to the input matrix
  [out] | *pDst | points to the output matrix

Returns:
  The function returns either `ARM_MATH_SIZE_MISMATCH` or `ARM_MATH_SUCCESS` based on the outcome of size checking.

Examples:
  arm_matrix_example_f32.c.

Definition at line 64 of file arm_mat_trans_f32.c.

arm_status arm_mat_trans_q31 | ( | const arm_matrix_instance_q31 * | pSrc,
|  | arm_matrix_instance_q31 * | pDst
| ) |  |

Q31 matrix transpose.

Parameters:

  [in] | *pSrc | points to the input matrix
  [out] | *pDst | points to the output matrix

Returns:
  The function returns either `ARM_MATH_SIZE_MISMATCH` or `ARM_MATH_SUCCESS` based on the outcome of size checking.

Definition at line 55 of file arm_mat_trans_q31.c.

arm_status arm_mat_trans_q15 | ( | const arm_matrix_instance_q15 * | pSrc,
|  | arm_matrix_instance_q15 * | pDst
| ) |  |

Q15 matrix transpose.

Parameters:

  [in] | *pSrc | points to the input matrix
  [out] | *pDst | points to the output matrix

Returns:
  The function returns either `ARM_MATH_SIZE_MISMATCH` or `ARM_MATH_SUCCESS` based on the outcome of size checking.

Definition at line 55 of file arm_mat_trans_q15.c.

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Defines